package org.cs.mgr.order.service;

import java.util.Map;

import org.cs.core.service.IBaseService;
import org.cs.util.Pager;

import com.alibaba.fastjson.JSONObject;

import org.cs.mgr.order.model.MgmOrderSchedule;

/**
 * 
 * @ClassName: IMgmOrderScheduleService
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:29:03
 */
public interface IMgmOrderScheduleService extends IBaseService<MgmOrderSchedule> {

	Pager getMgmOrderSchedules(Pager page);

	boolean delMgmOrderSchedule(Integer id);
	
	boolean addMgmOrderSchedule(MgmOrderSchedule mgmOrderSchedule);
	
	boolean updateMgmOrderSchedule(MgmOrderSchedule mgmOrderSchedule);
	//getOrderProgressDeteails
	public JSONObject getOrderProgressDeteails(Map<String, String> map);
}
